Connecting Tomcat 5.0.30 to Apache 2.0.54

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Connecting Tomcat 5.0.30 to Apache 2.0.54

Eric Short
I am on FreeBSD 5.4.  I installed Tomcat just fine and Apache just fine and
all is well.

Now I am trying to connect them together with the JK 1.2.10 source.

I do the "./configure --with-apxs=/usr/local/apache2/bin/apxs" and it runs
fine.

I then do a "cd apache-2.0" and then run "gmake" and I get the following
error:

../common/jk_util.c: In function 'jk_gettid':
../common/jk_util.c:1163:error: invalid operands to binary &
gmake: *** [../common/jk_util.lo] Error 1

I looked at the code and it has the following:
int tid = (int)(t & OxFFFF);

Thanks for your help.
Eric Short


--
No virus found in this outgoing message.
Checked by AVG Anti-Virus.
Version: 7.0.322 / Virus Database: 266.11.14 - Release Date: 5/20/05